var pe = null;

var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    setPokktConfig: function() {
        var appid = document.getElementById("appid").value;
        var seckey = document.getElementById("seckey").value;
        pe.setPokktConfig(appid, seckey);
    },

    // Bind Event Listeners
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },

    onDeviceReady: function() {
        console.log('device is ready!');

        pe = window.plugins.pokktExtension;


    },
    onClickBack: function() {
        history.back();
    }
};
